SUBROUTINE DISTRIBUTE_ODB(IARG1, CARG2, LARG3, LARG4, IARG5, IARG6, IARG7, IARG8, IARG9, IARG10)

    USE PARKIND1,ONLY : JPIM

    INTEGER(KIND=JPIM) :: IARG1
    CHARACTER(LEN=*)   :: CARG2
    LOGICAL            :: LARG3
    LOGICAL            :: LARG4
    INTEGER(KIND=JPIM) :: IARG5
    INTEGER(KIND=JPIM) :: IARG6
    INTEGER(KIND=JPIM) :: IARG7
    INTEGER(KIND=JPIM) :: IARG8
    INTEGER(KIND=JPIM) :: IARG9
    INTEGER(KIND=JPIM) :: IARG10

END SUBROUTINE DISTRIBUTE_ODB
